var stationNames;
var stationURLs;
var currentStationID;

window.onload = function()
{
	loadStationList();
	
	var currentStation = System.Gadget.Settings.read("stationName");
	var currentID = 0;
	
	if (currentStation != "") {
		currentID = getIDByStationName(currentStation);
	}
	
	if (currentID >= 0 && currentID < stationNames.length)
		currentStationID = currentID;
	else
		currentStationID = 0;
	
	System.Gadget.onSettingsClosing = settingsClosing;
	
	generateStationList(stationPickerField);
}

function getIDByStationName(stationName)
{
	for (i=0;i<stationNames.length;i++)
	{
		if (stationNames[i] == stationName)
			return i;
	}
	return -1;
}

function settingsClosing(event)
{
	if (event.closeAction == event.Action.commit) {
		System.Gadget.Settings.write("stationName", stationNames[stationPicker.value]);
	}
	
	event.cancel = false;
}

function generateStationList(parentObj)
{
	var strHTML = "<select NAME='station' id='stationPicker' style='width: 230;'>";
	var stationCount = System.Gadget.Settings.read("stationCount");
	
	for (i=0;i<stationCount;i++)
	{
		if (i == currentStationID)
			strHTML += ("<option VALUE='" + i.toString() + "' SELECTED>" + stationNames[i]);
		else
			strHTML += ("<option VALUE='" + i.toString() + "'>" + stationNames[i]);
	}
	
	strHTML += "</select>";
	
	parentObj.innerHTML = strHTML;
}

function loadStationList()
{
	stationNames = new Array();
	stationURLs = new Array();
	var stationCount = System.Gadget.Settings.read("stationCount");

	if (!stationCount) {
		alert("Empty station list! Please relaunch iClassical Radio Player.");
	}
	else
	{
		for (i=0;i<stationCount;i++)
		{
			stationNames[i] = System.Gadget.Settings.readString("station"+i.toString());
			stationURLs[i]  = System.Gadget.Settings.readString("url"+i.toString());
		}
	}
}